!TCL=1005, Copyright (C) 1999 Helios Software Solutions
!TITLE=6502 OPCODES
!SORT=N
!CHARSET=DOS

!TEXT=LDA	Load Accumulator
LDA 
!

!TEXT=LDY	Load Y Register
LDY 
!

!TEXT=LDA	Load X Register
LDX 
!

!TEXT=STA	Store Accumulator
STA 
!

!TEXT=STY	Store Y Register
STY 
!

!TEXT=STX	Store X Register
STX 
!

!TEXT=PHA	Push Accumulator to Stack
PHA 
!

!TEXT=PHP	Push Status Register to Stack
PHP 
!

!TEXT=PLA	Pull Accumulator from Stack
PLA 
!

!TEXT=PLS	Pull Status from Stack
PLS 
!

!TEXT=TAX	Transfer Accumulator to X Register
TAX 
!

!TEXT=TAY	Transfer Accumulator to Y Register
TAY 
!

!TEXT=TXA	Transfer X Register to Accumulator
TXA 
!

!TEXT=TYA	Transfer Y Register to Accumulator
TYA 
!

!TEXT=TSX	Transfer Stack Register to X Register
TSX 
!

!TEXT=TXS	Transfer X Register to Stack
TXS 
!

!TEXT=BNE	Branch if Zero = 0
BNE 
!

!TEXT=BEQ	Branch if Zero = 1
BEQ 
!

!TEXT=BMI	Branch if Sign = 1
BMI 
!

!TEXT=BPL	Branch if Sign = 0
BPL 
!

!TEXT=BCC	Branch if Carry = 0
BCC 
!

!TEXT=BCS	Branch if Carry = 1
BCS 
!

!TEXT=BVC	Branch if Overflow = 0
BVC 
!

!TEXT=BVS	Branch if Overflow = 1
BVS 
!

!TEXT=BIT	Bit Test
BIT 
!

!TEXT=CPX	Compare Memory with X
CPX 
!

!TEXT=CPY	Compare Memory with Y
CPY 
!

!TEXT=CMP	Compare Memory with Accumulator
CMP 
!

!TEXT=JMP	GOTO
JMP 
!

!TEXT=JSR	GOSUB
JSR 
!

!TEXT=RTS	RETURN
RTS 
!

!TEXT=BRK	BREAK
BRK 
!

!TEXT=RTI	(Return from Interrupt)
RTI 
!

!TEXT=ADC	Add with Carry
ADC 
!

!TEXT=SBC	Subtract with Borrow
SBC 
!

!TEXT=AND	Logical AND Accumulator
AND 
!

!TEXT=ORA	Logical OR Accumulator
ORA 
!

!TEXT=EOR	Logical XOR Accumulator
EOR 
!

!TEXT=LSR	Logical Shift Right
LSR 
!

!TEXT=LSL	Logical Shift Left
LSL 
!

!TEXT=ASL	Arithmetic Shift Left
ASL 
!

!TEXT=ROR	Rotate Right through Carry
ROR 
!

!TEXT=ROL	Rotate Left through Carry
ROL 
!

!TEXT=DEC	A--
DEC 
!

!TEXT=DEX	X--
DEX 
!

!TEXT=DEY	Y--
DEY 
!

!TEXT=INC	A++
INC 
!

!TEXT=INY	Y++
LINY
!

!TEXT=INX	X++
INX 
!

!TEXT=CLC	Clear Carry
CLC 
!

!TEXT=CLI	(Enable Interrupts)
CLI 
!

!TEXT=CLV	Clear Overflow
CLV 
!

!TEXT=SEC	Set Carry
SEC 
!

!TEXT=SED	Set Decimal Mode
SED 
!

!TEXT=SEI	(Mask Intrupts)
SEI 
!

!TEXT=NOP	No Operation
NOP 
!

